Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.struts.adapter.taglib.html
Class JavascriptValidatorTagAdapter

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts.taglib.html.JavascriptValidatorTag
                  com.bea.struts.adapter.taglib.html.JavascriptValidatorTagAdapter

All Implemented Interfaces
  Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class JavascriptValidatorTagAdapter

extends JavascriptValidatorTag

Tag adapter for the Struts JavascriptValidatorTag

See Also
  Serialized Form
  This class is based on 3rd party types and is thus dependent upon announced or unannounced changes to those 3rd party types. Extensions of this class by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal or in future versions of the 3rd party types.

Field Summary

Fields inherited from class org.apache.struts.taglib.html.JavascriptValidatorTag
`bundle, cdata, defaultLocale, dynamicJavascript, formName, HTML_BEGIN_COMMENT, HTML_END_COMMENT, htmlComment, jsFormName, lineEnd, methodName, page, scriptLanguage, src, staticJavascript`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`JavascriptValidatorTagAdapter()`

Method Summary
`int` | `doStartTag()` Render the JavaScript for to perform validations based on the form name.

Methods inherited from class org.apache.struts.taglib.html.JavascriptValidatorTag
`getBundle, getCdata, getDynamicJavascript, getFormName, getHtmlComment, getJavascriptBegin, getJavascriptEnd, getJavascriptStaticMethods, getJsFormName, getMethod, getPage, getScriptLanguage, getSrc, getStaticJavascript, release, renderJavascript, renderStartElement, setBundle, setCdata, setDynamicJavascript, setFormName, setHtmlComment, setJsFormName, setMethod, setPage, setScriptLanguage, setSrc, setStaticJavascript`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doEndTag, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### JavascriptValidatorTagAdapter

    public JavascriptValidatorTagAdapter()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Render the JavaScript for to perform validations based on the form name.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `JavascriptValidatorTag`
  Throws
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved